/* 
 * WTN*Google Maps Linked StreetView
 * @author Tenderfeel
 * @ver 1.1
 * @HOME http://tenderfeel.xsrv.jp/
 * 
 * @Need:Google Ajax Loader
 * 
 * 
 * ---MIT License--------------------------------------------
 * Copyright (c) 2008 Tenderfeel all rights reserved.
 * 以下に定める条件に従い、本ソフトウェアおよび関連文書の
 * ファイル（以下「ソフトウェア」）の複製を取得するすべての
 * 人に対し、ソフトウェアを無制限に扱うことを無償で許可します。
 * これには、ソフトウェアの複製を使用、複写、変更、結合、
 * 掲載、頒布、サブライセンス、および/または販売する権利、
 * およびソフトウェアを提供する相手に同じことを許可する権利も無制限に含まれます。
 * 
 * 上記の著作権表示および本許諾表示を、
 * ソフトウェアのすべての複製または重要な部分に記載するものとします。
 * 
 * ソフトウェアは「現状のまま」で、明示であるか暗黙であるかを問わず、
 * 何らの保証もなく提供されます。ここでいう保証とは、商品性、
 * 特定の目的への適合性、および権利非侵害についての保証も含みますが、
 * それに限定されるものではありません。作者または著作権者は、
 * 契約行為、不法行為、またはそれ以外であろうと、
 * ソフトウェアに起因または関連し、あるいはソフトウェアの使用
 * またはその他の扱いによって生じる一切の請求、損害、
 * その他の義務について何らの責任も負わないものとします。 
 * ----------------------------------------------------------
*/
var gsvmConfig = {
	"pageName":"outline.html",//表示するページ
	"gmLat":35.6585873,  //GLat
	"gmLng":139.7454247, //GLng
	"gmDivID":"gmap",    //地図を表示する要素のID
	"gmScope":16,        //拡大率
	"markerAdd":true,  //マーカーの表示
	"SMap_Controler":false, //小さいコントローラ
	"LMap_Controler":true, //大きいコントローラ
	"SmallZoomControl":false,//ズームコントローラ
	"NavLabelControl":true,//ナビゲーションレベルコントローラ
	"Type3_Controler":false, //地図タイプ切り替え（３種）
	"Type2_Controler":false, //地図タイプ切り替え（2種）
	"Scale_Controler":true, //スケール
	"OV_Controler":true, //右下の縮小地図
	"WheelZoom":false, //ホイールでのズーム操作
	"DClickZoom":true, //ダブルクリックでのズーム操作
	"WindowHTML":"<em>Hellow</em><br />何かコメントを入れてください",//情報ウィンドウのHTML
	"gmsDivID":"gstreet",    //ストリートビューを表示する要素のID
	"zoom":0,            //ズーム レベル（0が最大）
	"pitch":0,            //カメラの初期デフォルト ピッチから「上」または「下」の角度の差
	"yaw":0,             //カメラの中心回りの回転角（真北からの相対的な角度）
	"FullScreen":true,  //フルスクリーンモード
	"userPhotos":true,//ユーザー投稿写真の表示
	"photoRepositories":[ 'panoramio', 'picasa']//ユーザー投稿写真のリポジトリ
}

/*-------------------------------------------------------------------------*/
google.load("maps", "2",{"callback" : svmapsLoaded,"language" : "ja"});
var myPano,map,marker2,geocoder,gmsErrorBox; function svmapsLoaded(){if(google.maps.BrowserIsCompatible()){gmsErrorBox=document.createElement("p");gmsErrorBox.className="error";gmsErrorBox.style.display="none";document.getElementById(gsvmConfig.gmsDivID).appendChild(gmsErrorBox);map=new google.maps.Map2(document.getElementById(gsvmConfig.gmDivID));var a=new google.maps.LatLng(gsvmConfig.gmLat,gsvmConfig.gmLng),b=new google.maps.Marker(a);map.setCenter(a,gsvmConfig.gmScope);geocoder=new google.maps.ClientGeocoder;var c=new google.maps.Icon;c.image= "http://labs.google.com/ridefinder/images/mm_20_red.png";c.shadow="http://labs.google.com/ridefinder/images/mm_20_shadow.png";c.iconSize=new google.maps.Size(12,20);c.shadowSize=new google.maps.Size(22,20);c.iconAnchor=new google.maps.Point(6,20);c.infoWindowAnchor=new google.maps.Point(5,1);marker2=new google.maps.Marker(a,c);google.maps.Event.addListener(marker2,"click",function(d){geocoder.getLocations(new google.maps.LatLng(d.y,d.x),function(e){!e||e.Status.code!=200?marker2.openInfoWindowHtml("No address data was found."): marker2.openInfoWindowHtml("<strong>\u4f4f\u6240:</strong><br />"+e.Placemark[0].address.replace("\u65e5\u672c",""))})});c={latlng:a,yaw:gsvmConfig.yaw,pitch:gsvmConfig.pitch,zoom:gsvmConfig.zoom,enableFullScreen:gsvmConfig.FullScreen,features:{streetView:true,userPhotos:gsvmConfig.userPhotos},userPhotoOptions:{photoRepositories:gsvmConfig.photoRepositories}};myPano=new google.maps.StreetviewPanorama(document.getElementById(gsvmConfig.gmsDivID),a);google.maps.Event.addListener(myPano,"error",handleNoFlash); gsvmConfig.SMap_Controler&&map.addControl(new google.maps.SmallMapControl3D);gsvmConfig.LMap_Controler&&map.addControl(new google.maps.LargeMapControl3D);gsvmConfig.Type3_Controler&&map.addControl(new google.maps.MapTypeControl);gsvmConfig.SmallZoomControl&&map.addControl(new google.maps.SmallZoomControl3D);gsvmConfig.Type2_Controler&&map.addControl(new google.maps.HierarchicalMapTypeControl);gsvmConfig.Scale_Controler&&map.addControl(new google.maps.ScaleControl);gsvmConfig.NavLabelControl&&map.addControl(new google.maps.NavLabelControl); gsvmConfig.OV_Controler&&map.addControl(new google.maps.OverviewMapControl);gsvmConfig.WheelZoom&&map.enableScrollWheelZoom();gsvmConfig.DClickZoom&&map.enableDoubleClickZoom();if(gsvmConfig.WindowHTML!=""&&gsvmConfig.markerAdd)google.maps.Event.addListener(b,"click",clickListener);else gsvmConfig.WindowHTML!=""&&!gsvmConfig.markerAdd&&map.openInfoWindow(a,gsvmConfig.WindowHTML);gsvmConfig.markerAdd&&map.addOverlay(b);a=new google.maps.StreetviewOverlay;map.addOverlay(a);google.maps.Event.addListener(map, "click",clickListener);google.maps.Event.addListener(myPano,"initialized",function(d){addSVMark(map,d.latlng)})}window.onunload=function(){google.maps.Unload()}}function clickListener(a,b){if(b){myPano.setLocationAndPOV(b);addSVMark(map,b)}else a.x==gsvmConfig.gmLng&&a.y==gsvmConfig.gmLat&&this.openInfoWindow(gsvmConfig.WindowHTML)}function addSVMark(a,b){if(b!=null){gmsErrorBox.style.display="none";a.setCenter(b,a.getZoom());a.removeOverlay(marker2);marker2.setLatLng(b);a.addOverlay(marker2)}} function handleNoFlash(a){gmsErrorBox.style.display="block";if(a==600){gmsErrorBox.innerHTML="No panorama data was found";myPano.hide()}else if(a==603)Box.innerHTML="\u3054\u4f7f\u7528\u306e\u30d6\u30e9\u30a6\u30b6\u306b\u30a4\u30f3\u30b9\u30c8\u30fc\u30eb\u3055\u308c\u3066\u3044\u308bFLASH\u30d7\u30e9\u30b0\u30a4\u30f3\u306b\u306f\u5bfe\u5fdc\u3057\u3066\u3044\u307e\u305b\u3093"};